Create a new web application project
curl --request POST \
--url https://api.case.dev/applications/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"gitRepo": "<string>",
"gitBranch": "main",
"framework": "<string>",
"buildCommand": "<string>",
"installCommand": "<string>",
"outputDirectory": "<string>",
"rootDirectory": "<string>",
"environmentVariables": [
{
"key": "<string>",
"value": "<string>",
"target": [
"production"
],
"type": "encrypted"
}
]
}
'API key starting with sk_case_
Project name
GitHub repository URL or "owner/repo"
Git branch to deploy
Framework (e.g., "nextjs", "remix", "astro")
Custom build command
Custom install command
Build output directory
Root directory of the project
Environment variables to set on the project
Show child attributes
Success
Was this page helpful?
curl --request POST \
--url https://api.case.dev/applications/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"gitRepo": "<string>",
"gitBranch": "main",
"framework": "<string>",
"buildCommand": "<string>",
"installCommand": "<string>",
"outputDirectory": "<string>",
"rootDirectory": "<string>",
"environmentVariables": [
{
"key": "<string>",
"value": "<string>",
"target": [
"production"
],
"type": "encrypted"
}
]
}
'